.App {
  text-align: center;
}


.rank-line-g .rank-line {
  stroke-width: 1;
  transition: all 0.2s linear;
}

.rank-line-g:not(.highlight) .rank-line {
  opacity: 0.05;
  filter: grayscale(100%);
}

.rank-line-g.hovered .rank-line {
  stroke-width: 2;
  opacity: 1;
  filter: none;
}

.rank-line-g .rank-point {
  r: 4;
  transition: all 0.2s linear;
}

.rank-line-g:not(.highlight) .rank-point {
  r: 2;
  opacity: 0.05;
  filter: grayscale(100%);
}

.rank-line-g.hovered .rank-point {
  r: 3;
  opacity: 1;
  filter: none;
}

.rank-line-g .rank-label {
  transition: all 0.2s linear;
}

.rank-line-g:not(.highlight) .rank-label {
  opacity: 0;
}

.rank-line-g.hovered .rank-label {
  opacity: 1;
}

.grid-line {
  stroke: black;
  opacity: 0.2;
  stroke-dasharray: 2,2;
}

g.x-axis path.domain, g.y-axis path.domain {
  stroke: none;
}

g.y-axis .tick line {
  stroke: black;
  opacity: 0.2;
  stroke-dasharray: 2,2;
}

g.x-axis .tick line {
  stroke: none;
}